#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[PARAMTRAGE DES SOUS-TITRES]

if [ "$Sub1_cd1" != "" ]
then
	if [ "$Vobsubid1" != "" ]
	then
		export Sub1_1="-vobsubid $Vobsubid1 -vobsub "
	elif [ "$Vobsubid" != "" ]
	then
		export Sub1_1="-vobsubid $Vobsubid -vobsub "
	else
		export Sub1_1="-sub "
	fi
	export Subtitles1_cd1="$Sub1_cd1"
else
	export Subtitles1_cd1="-noautosub" SUBTITLES_ONE=""
fi

if [ "$Sub1_cd2" != "" ]
then
	if [ "$Vobsubid1" != "" ]
	then
		export Sub1_2="-vobsubid $Vobsubid1 -vobsub "
	elif [ "$Vobsubid" != "" ]
	then
		export Sub1_2="-vobsubid $Vobsubid -vobsub "
	else
		export Sub1_2="-sub "
	fi
	export Subtitles1_cd2="$Sub1_cd2"
else
	export Subtitles1_cd2="-noautosub"
fi

if [ "$Sub2_cd1" != "" ]
then
	if [ "$Vobsubid2" != "" ]
	then
		export Sub2_1="-vobsubid $Vobsubid2 -vobsub "
	elif [ "$Vobsubid" != "" ]
	then
		export Sub2_1="-vobsubid $Vobsubid -vobsub "
	else
		export Sub2_1="-sub "
	fi
	export Subtitles2_cd1="$Sub2_cd1"
else
	export Subtitles2_cd1="-noautosub" SUBTITLES_TWO=""
fi

if [ "$Sub2_cd2" != "" ]
then
	if [ "$Vobsubid2" != "" ]
	then
		export Sub2_2="-vobsubid $Vobsubid2 -vobsub "
	elif [ "$Vobsubid" != "" ]
	then
		export Sub2_2="-vobsubid $Vobsubid -vobsub "
	else
		export Sub2_2="-sub "
	fi
	export Subtitles2_cd2="$Sub2_cd2"
else
	export Subtitles2_cd2="-noautosub"
fi

#[GESTION DCALAGE SOUS-TITRES]

if [ "$Subdelay1" != "" ]
then
	export SUBDELAY1=" -subdelay $Subdelay1"
fi
if [ "$Subdelay2" != "" ]
then
	export SUBDELAY2=" -subdelay $Subdelay2"
fi
if [ "$Subdelay" != "" ] && [ "$Sub1_cd1" != "" ]
then
	export SUBDELAY1=" -subdelay $Subdelay"
elif [ "$Subdelay" != "" ] && [ "$Sub2_cd1" != "" ]
then
	export SUBDELAY2=" -subdelay $Subdelay"
fi

#[ASPECT DES SOUS-TITRES]

if [ "$Subscale" -le "3" ] && [ "$Subscale" != "" ]
then
	export Subaspect=" -subfont-autoscale $Subscale"
fi 2>/dev/null

#[MENU_MODE DEBUG]

if [ "$Menu_mode" = "" ]
then
	Menu_mode="4"
elif [ "$Time2" != "" ] && [ "$Sub2_cd1" != "" ]
then
	Menu_mode="4"
elif [ "$Time2" = "" ] && [ "$Sub2_cd1" != "" ]
then
	Menu_mode="3"
fi

if [ "$Menu_mode" = "1" ]
then
	Ligne=2
elif [ "$Menu_mode" = "2" ] || [ "$Menu_mode" = "3" ]
then
	Ligne=3
else
	Ligne=4
fi

#[INTITULS AUDIO]

if [ "$Audiotitle1" = "" ]
then
	export Audiotitle1="Audio 1"
fi

if [ "$Audiotitle2" = "" ]
then
	export Audiotitle2="Audio 2"
fi

#[GESTION DCALAGE AUDIO]

if [ "$Audiodelay1" != "" ]
then
	export AUDIODELAY1=" -delay $Audiodelay1"
fi
if [ "$Audiodelay2" != "" ]
then
	export AUDIODELAY2=" -delay $Audiodelay2"
fi

#[GESTION DES VIGNETTES]

if [ -f $DIRNAME/"$Pict_dir"/"$Picture1" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
elif [ -f $cd1/"$Pict_dir"/"$Picture1" ]
then
	cp $cd1/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture2" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
elif [ -f $cd1/"$Pict_dir"/"$Picture2" ]
then
	cp $cd1/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture3" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
elif [ -f $cd1/"$Pict_dir"/"$Picture3" ]
then
	cp $cd1/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
fi

#[ASPECTRATIO]

if [ "$Aspectratio" != "" ]
then
	export ASPECTRATIO=" -aspect $Aspectratio"
fi

#[VRIFICATION PANSCAN]

PANVALUE1=`grep Panscan /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g' | cut -f 1 -d "."`
PANVALUE2=`grep Panscan /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g' | cut -f 2 -d "."`
if ([ "$PANVALUE1" = "1" ] && [ "$PANVALUE2" = "0" ]) || ([ "$PANVALUE1" = "0" ] && [ "$PANVALUE2" -le "9" ])
then
	export Pan=" -panscan $Panscan"
fi

#[MENU_MODE]

cat << EOF > /tmp/xchaman.tmp/menu
#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

CHOICE=\`Xdialog --stdout --title "X-ChaMan-$XCM_VERSION - Player : MPlayer" \\
--backtitle "$Title. $MOVIE_TIME : $Duree" \\
--icon "/tmp/xchaman.tmp/$Picture1" \\
--help "X-ChaMan GUI made with Xdialog : http://www.chez.com/godefroy\n\nX-ChaMan is NOT a player ! Use MPlayer : http://www.mplayerhq.hu\nor Xine : http://xine.sourceforge.net/\n\nX-ChaMan is free software (GNU/GPL)\n\nSend comments and bugs reports to <twocats@free.fr>\nX-ChaMan-$XCM_VERSION (c) 2002-2003 Dominique Biendin\nHome page : http://twocats.free.fr" \\
--left \\
--no-tags \\
--radiolist "==============================\nX-ChaMan v. $XCM_VERSION\nChapter Manager for DivX Movies.\n==============================" 0 0 $Ligne \\
EOF
if [ "$Menu_mode" = "1" ]
then
cat << EOF >> /tmp/xchaman.tmp/menu
"vf"  "\$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \`
for i in \$CHOICE ; do
		case \$i in
			vf)
			/usr/local/XChaMan-$XCM_VERSION/data/play_a1.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "2" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			/usr/local/XChaMan-$XCM_VERSION/data/play_a1.sh ;;
			chapters)
			export Lang="${Sub1_1}\"${Subtitles1_cd1}\""
			export Lang2="${Sub2_1}\"${Subtitles1_cd2}\""
			export AUDIODELAY="${AUDIODELAY1}"
			export SUBDELAY="${SUBDELAY1}"
			export Version="$Audiotitle1 $SUBTITLES_ONE"
			/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "3" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			/usr/local/XChaMan-$XCM_VERSION/data/play_a1.sh ;;
			vo)
			/usr/local/XChaMan-$XCM_VERSION/data/play_b1.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "4" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
for i in \$CHOICE ; do
	case \$i in
		vf)
		/usr/local/XChaMan-$XCM_VERSION/data/play_a1.sh ;;
		vo)
		/usr/local/XChaMan-$XCM_VERSION/data/play_b1.sh ;;
		chapters)
		/usr/local/XChaMan-$XCM_VERSION/data/language.sh ;;
	esac
done
EOF
fi
chmod a+x /tmp/xchaman.tmp/menu
exec /tmp/xchaman.tmp/menu
